


/**** FARMARef 2019  - First Release ****/


clear



/**** FIRST PART ***/


import excel "C:\Users\Salerno\Desktop\REF\FARMARef\DATASETFARMARef_1orig.xlsx", sheet("DATASETlong") firstrow

encode REGIO, gen(Regio)

xtset Regio YEAR

reg pcrPharmaTot demo* i.Regio i.YEAR, robust

estimates store Pharma_Tot

reg pcrPharmaH demo* i.Regio i.YEAR, robust

estimates store Pharma_H

reg pcrPharmaA demo* i.Regio i.YEAR, robust

estimates store Pharma_A

estimates table Pharma_Tot Pharma_H Pharma_A, star(.05 .01 .001)



clear







/**** SECOND PART ***/


clear

import excel "C:\Users\Salerno\Desktop\REF\FARMARef\DATASETFARMARef_1orig.xlsx", sheet("DATASETlong") firstrow

encode REGIO, gen(Regio)

xtset Regio YEAR

xtreg pcrPharmaTot demo* i.YEAR, fe

predict Prediction, xbu

gen Spesa_Pct_Real = pcrPharmaTot / 100

predict FixedEffect, u

replace Prediction = Prediction / 100

xtline Spesa_Pct_Real Prediction

graph save PRIMOL, replace

graph bar FixedEffect, by(REGIO)

graph save SECONDOL, replace

estimates table, star(.05 .01 .001)

export excel OUTPUTFARMARef_1_L.xlsx, firstrow(variables) replace

clear



/**** THIRD PART ***/

clear

import excel "C:\Users\Salerno\Desktop\REF\FARMARef\OUTPUTFARMARef_1_L.xlsx", sheet("Sheet1") firstrow

gen REF = 0

replace REF = 1 if REGIO == "TOS" | REGIO == "EMR" | REGIO == "UMB" | REGIO == "MAR" | REGIO == "LOM"

egen SPESAMEDIA = sum(pcrPharmaTot), by(REGIO)

replace SPESAMEDIA = SPESAMEDIA / 17

egen FEBENCH = sum(FixedEffect) if REGIO == "TOS" | REGIO == "EMR" | REGIO == "UMB" | REGIO == "MAR" | REGIO == "LOM"

replace FEBENCH = FEBENCH / 17 / 5

sort FEBENCH

replace FEBENCH = FEBENCH[1]

sort REGIO YEAR 

gen FErescaled = FixedEffect - FEBENCH

replace FErescaled = 0 if REGIO == "TOS" | REGIO == "EMR" | REGIO == "UMB" | REGIO == "MAR" | REGIO == "LOM"

replace FErescaled = 0 if FErescaled < 0

gen PercentAvExp = FErescaled / SPESAMEDIA

gen PercentLastExp = FErescaled / pcrPharmaTot

gen INEFF = FErescaled * TotDemo / 1000000 * 1.3123

drop if YEAR != 2018

graph bar FErescaled, by(REGIO)

graph save TERZOL, replace

graph bar PercentAvExp, by(REGIO)

graph save QUARTOL, replace

graph bar PercentLastExp PercentAvExp, by(REGIO)

graph save QUINTOL, replace

graph bar INEFF, by(REGIO)

graph save SESTOL, replace

save RESULTS_L, replace

export excel "C:\Users\Salerno\Desktop\REF\FARMARef\OUTPUTFARMARef_1_L.xlsx", sheet("Sheet1") firstrow(variables) replace
